commit dfbeedae7eefa1605ed2f912beb0de31810ec63f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 3 10:33:30 2022 -0700

    xcalc 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d484e053d54801f1afdcc67ef7651d048df97295
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 2 13:01:49 2022 -0700

    man page: remove out-of-date COPYRIGHT section
    
    The information previously listed here didn't match what is present in
    the source code or the COPYING file, and the X(7) man page doesn't list
    any license information as this had claimed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7889111d9809af38a2cfb8c1ead1931c1f593be8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:42:03 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 242bcecfbb662a1c57f3d8d505492be2b6db89a2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Dec 4 10:42:00 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b7886c8da2a3d8a92dea43828202d1762898041b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 11:42:06 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 19eb8cefe1c3f7b5018e51d3dd5cc4bf691a553d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 17 17:02:35 2021 -0700

    TI mode: correct key color highlighting
    
    Decimal number key mapping in XCalc-color was offset after adding
    the bitwise ops & base conversion keys in commit c4f1bdb1
    
    Fixes: #2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit df1721c44e0b357f4d8ae80247861b4a6f7a7bbb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 13:44:24 2019 -0700

    xcalc 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 74a71638ace07252e85106d87f80a62b1f07280f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:33:44 2019 -0700

    Fix -Wsign-compare warning in quit() function
    
    Reported by gcc 7.3:
    actions.c: In function ‘quit’:
    actions.c:414:60: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         if (ev->type == ClientMessage && ev->xclient.data.l[0] != wm_delete_window)
                                                                ^~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 012115650d15697e1cdc13edf770ac9775b108f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:29:15 2019 -0700

    Fix -Wsign-compare warning in Syntax() function
    
    Reported by gcc 7.3:
    xcalc.c: In function ‘Syntax’:
    xcalc.c:322:17: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
         for (i=0; i < XtNumber(Options); i++)
                     ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a04d51cb90b9a314eea117bc36fedb2bfaab516
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:24:20 2019 -0700

    Pass -D_CONST_X_STRING to make libXt declare String as const char *
    
    Clears up 58 of 62 gcc -Wdiscarded-qualifiers warnings in the xcalc build
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 519e35d2c5649a995d39ee26e39809a3b7ffabc9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 1 17:16:11 2019 -0700

    Add bitwise ops and base conversion (DEC/OCT/HEX) to man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4f1bdb16b560d813e6ded83c2d7a4f4d280a90a
Author: Tim Hentenaar <tim@hentenaar.com>
Date:   Sat Mar 22 02:47:33 2014 +0100

    Add bitwise ops and base conversion (DEC/OCT/HEX) in TI mode
    
    These operations implicitly truncate their parameters, and result to
    integers:
    
    * not
    * and
    * or
    * xor
    * shl
    * shr
    * mod
    * trunc
    
    Base 2 was left out of the base conversion code intentionally as it
    would require making the UI at least one third wider.
    
    Attempts to change base with negative values will simply display
    "error." Note that with larger numbers, the result may be inaccurate
    due to rounding.
    
    I've also bound the Return key to the equal() action.
    
    Signed-off-by: Tim Hentenaar <tim@hentenaar.com>

commit be5114cebfdc29788cf038d349c0ed6cce4bb536
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 17 13:50:58 2019 -0800

    xcalc 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 85c9feb6e10cea1ef017d702151b14717c40b9d5
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sun Jul 7 22:50:30 2013 +0200

    Reduce scope of i (cppcheck --verbose --enable=all)
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aa3d39389bfc752486a83933574d0365c74d4e29
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sun Jul 7 22:50:29 2013 +0200

    Reduce scope of cell (cppcheck --verbose --enable=all)
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d156f428912aecdd493e075b75e735bfbae7dda
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:59:17 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b8f4da1126dd44b4adc5f83ba5c7e06a2de75996
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 21:11:40 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8df4b463f69fc3e7e08ce5de284ed7f318935c1e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 12:20:12 2018 -0700

    Reword fall through comments to appease gcc -Wimplicit-fallthrough
    
    Gets rid of these warnings:
    math.c:707:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case kSQR:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:708:3: note: here
       case kSQRT:  if (flagINV) dnum=dnum*dnum;
       ^~~~
    math.c:711:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case k10X:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:712:3: note: here
       case kLOG:   if (flagINV) dnum=pow(10.0,dnum);
       ^~~~
    math.c:715:24: warning: this statement may fall through [-Wimplicit-fallthrough=]
       case kEXP:   flagINV = !flagINV; /* fall through to */
                    ~~~~~~~~^~~~~~~~~~
    math.c:716:3: note: here
       case kLN:    if (flagINV) dnum=exp(dnum);
       ^~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a90211e35841758ff11e79a1633494e2055df88
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 12:15:19 2018 -0700

    Fix misleading indentation in math.c
    
    math.c: In function ‘numeric’:
    math.c:267:3: warning: this ‘if’ clause does not guard... [-Wmisleading-indentat
    ion]
       if ((int) strlen(dispstr) >= MAXDISP)
       ^~
    math.c:270:5: note: ...this statement, but the latter is misleadingly indented a
    s if it were guarded by the ‘if’
         switch (keynum){
         ^~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d056a3c6843cf5f6c8b392c46bc4f1b637f87d0b
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f5982d0175359f7db28127cba3a42e08352f295b
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 004ce8287f9afab014a44c8bb8ba476ef5930a57
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 0fba659f91bebe1f92f4de2660bf806fd049350b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 19 21:26:22 2015 -0800

    xcalc 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a647c9bd255c136f9e6e3e274ecf4253e9ead6d6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Aug 7 19:20:44 2014 -0700

    Replace index() call with strchr()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a91574fe283263a3f9d91fb257ecb2c5b0a97541
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:10:55 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6387133e231ec16da4204fddaffafe70d077e5d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 22:10:55 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8afe5270310698d24fff370276c7fd91eb816720
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 17 08:24:45 2013 -0500

    Replace signal_t with void
    
    Now that Imake SIGNALRETURNSINT has been removed, the signal handler
    function return type can only be void.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 40911339c45a880abbe6ad60dac4718a402d88ab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Dec 16 10:04:46 2013 -0500

    Assume signal handlers return void, as C89 requires
    
    Drops use of Imake's obsolete SIGNALRETURNSINT.
    
    Reviewd-by: Mark Kettenis <kettenis@openbsd.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 25454313c637f2b6983ba289deed96141cec8000
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 23:01:23 2013 -0700

    Mark functions noreturn as suggested by gcc -Wmissing-noreturn
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit de0e13ada857191a59c0e8f985d2317a7c41f43b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:56:02 2013 -0700

    Rename "e" arguments to "ev" to avoid shadowing e() function
    
    Resolves many gcc warnings of the form:
    actions.c: In function ‘add’:
    actions.c:142:35: warning: declaration of ‘e’ shadows a global declaration
    actions.c:57:13: warning: shadowed declaration is here [-Wshadow]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40da34202dffa96197c6248a9d80894611e27921
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:53:07 2013 -0700

    Remove redundant redeclaration of ‘factorial’
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1de8253f0ede02ec87d28b028de97da79adc12e2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jul 9 22:49:21 2013 -0700

    Replace sprintf & strcpy calls with snprintf & strlcpy
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3d58c22c4c2729d52b5278c0e6350c0f9f44cfa8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 20:45:40 2013 -0700

    Remove unused min & max macros from math.c
    
    Flagged by clang:
    
     math.c:33:9: warning: macro is not used [-Wunused-macros]
     #define min(a,b) ((a) < (b) ? (a) : (b))
             ^
     math.c:34:9: warning: macro is not used [-Wunused-macros]
     #define max(a,b) ((a) > (b) ? (a) : (b))
             ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3e6d23bb9d57ae3d19e9eb47ced654669fca4d7c
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sun Jul 7 02:02:46 2013 +0200

    Use the new M_E symbol from math.h
    
    Use the new M_E symbol from math.h and fix and a value of the same
    accuracy if it's necessary to redefine M_E.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f3b065f03a7b68310b489d5d97b11985ef36e977
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sun Jul 7 02:02:38 2013 +0200

    Use the new M_PI symbol from math.h
    
    Use the new M_PI symbol from math.h and fix and a value of the same
    accuracy if it's necessary to redefine M_PI.
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9a89876666a42ad8692e8384a5a826456e6ae56
Author: Stéphane Aulery  <lkppo@free.fr>
Date:   Sat Jul 6 15:39:07 2013 +0200

    Drop CRAY support
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7e67bcb9563302f4e89be7a2afb1ae30c185689e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 14 23:08:54 2013 -0800

    xcalc 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fa70ea30be4c1a13d553785da8f6e920471655d4
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Thu Aug 23 06:12:20 2012 -0400

    Use table markup rather than tab stops.  Aids DocBook translation.

commit 1e885381028c2e94a7f83a6489f11ed00f18b530
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:28:31 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cad47868c99d4eac0ae2ad305399143a9aed3b2d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 28 20:27:03 2011 -0700

    Add const to parse_double() args to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c8ef1bb20266365a46ea82dfff79c78b6c61337d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c9c8030e71d2a3d6663f177963d8dcf148a46067
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8cc897e03ff972d2f2addf54ed54d014845cc9bb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d1dac5141b2398d5490453e0ff150b3db836a15f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:49 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2755eae3be5fc239da792c46a10426281ee77b85
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 26 13:53:42 2010 -0800

    xcalc 1.0.4.1
    
    Just respinning the tarballs with the correct install-sh instead of the
    broken copy accidentally included in the 1.0.4 tarballs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8245b9f8451b92a1aaa7a3520114a4afdd37c2e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 24 15:58:04 2010 -0800

    xcalc 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4ac002703c8bda62f768f581e1ec81bbf7446365
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 11:12:55 2010 -0800

    create_keypad: declare list of button name strings as const
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0d7aa29c6209391cf8307c19b5cf84528f8c2184
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:55:58 2010 -0800

    Purge RCS/CVS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9ede32efd5f840b7728e28e24efe2759e2c3917b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:41:45 2010 -0800

    config: Explicitly check for xt & x11 pkgs, since xcalc calls those directly
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4be6d1bd7b6293ff4af1042098a6164aa9639595
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:37:40 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30e01e9b012c7191c28946a73c2ff5b969d9eec7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:35:57 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5505a663714c71aa3545889633f36079522edcb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 20 10:34:33 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6919c12a985abd335b4890005d572107f833c3ec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Nov 20 10:31:43 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8180d8ea42cfdda9ed3828fb28d1a6cd24d951db
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 04d8b9bfcd40eee452ba080b654dac9281251115
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Dec 19 20:48:47 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6c21e467c805d62593d34da9e83a2fa2f01798a6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 17 19:51:44 2009 -0800

    xcalc 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 146b1da64e575d330c2599161938140a4233cb6a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Dec 17 19:21:22 2009 -0800

    Apply automake silencer to man page generation rule
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit abb1bf5b74642f8d40ca5fbf87490c5186f41590
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 109d08574cf3d951d73668a5a23c97dad94d6e75
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit dc35d949925e76e74403b4aea02c2ff198bf0ec6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 31a1d8fc1486e6dd0cb9c5ba569c820b3b79d890
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit befb756a62a11a857f20f903b8b892768a58e229
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:15 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit eab3461ac8e9e809094f45ca2084ddf7b4485035
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Sep 27 15:37:25 2009 -0400

    Makefile.am: do not include autogen.sh in distribution #24183
    
    This is a private build script that should not be distributed

commit b685a52aa117e9c7841fdb9b9e6b44fe898cd929
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:20 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit dd6ca812a9e540ade4afd5db9dd13ea7ed3ea3ab
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 12 20:09:07 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit fd75efe1d9b57c483f7cedd9e2dce34b97eef75e
Author: James Cloos <cloos@jhcloos.com>
Date:   Wed Aug 20 10:32:49 2008 -0400

    xaw8 is gone, use xaw7

commit e8360958ef3dba1e7ab8282c5055b0ccf5650f1c
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri May 16 14:20:03 2008 +0200

    $(builddir) is the current directory
    
    Apparently automake doesn't always export the builddir variable.
    This fixes my previous commit.

commit d3849e5474e65d2cf4212118896883330752c763
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun Apr 20 19:42:48 2008 +0200

    Fix build with builddir != srcdir

commit 18db0ddc3a18317585172374d0157dbdc76146aa
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Thu Mar 27 20:07:34 2008 -0700

    Build fix for file systems that are not case sensitive

commit 9f76a0d8684da6dfad67282be213139b6f87a05a
Author: Matthieu Herrb <matthieu@bluenote.herrb.net>
Date:   Sat Mar 8 22:09:59 2008 +0100

    Makefile.am: nuke RCS Id

commit 19fad31ddef4c1063ee2315dfee94e4ebb5f0ff0
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:23:52 2007 -0700

    Version bump: 1.0.2

commit c4ada4a7ee46f8ab0dfeb2cd311758d9197a59a8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:19:09 2007 -0700

    Fill in COPYING with copyright/license notices from source files

commit 5ee182a964d0ba16315935ec9bfd91779ed4a2a1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:15:50 2007 -0700

    Replace static changelog with dist-hook to generate from git log

commit 3c9230230e88f6421ea3549f813eabceb4120734
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:03:07 2007 -0700

    renamed: .cvsignore -> .gitignore

commit b2c489924708b202f33f6528d3269911662f906c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 21 11:02:19 2007 -0700

    Change xcalc_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit b586f35824d7c3bc061ba96e82b48744041dac59
Author: Mike Markowski <mm@udel.edu>
Date:   Wed Jul 12 11:28:40 2006 -0700

    Bug #4914: Add HP mode resources to XCalc-color app-defaults
    
    X.Org bug #4914 <https://bugs.freedesktop.org/show_bug.cgi?id=4914>
    Patch #3658 <https://bugs.freedesktop.org/attachment.cgi?id=3658>

commit 322a3bd493b99164925e852df5ffa8e1a650f496
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:48 2005 +0000

    Update package version for X11R7 release.

commit 8b7933c8192364e55b863b3e88ad64dbd6004bcc
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:42 2005 +0000

    Stub COPYING files

commit 543045f1c5effcafe60ee86ab02663ea5253d7b1
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:05 2005 +0000

    Update package version number for final X11R7 release candidate.

commit ffb4bc9e1bbff3648d9a60d29c8efe8292b2e6d2
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 7 16:17:58 2005 +0000

    Change to use the app-defaults default dir configured in libXt.

commit f8c6b6ee02de9f4991e4894386fd1f914e71f295
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:19 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit db75d5541e32a82c1a200f5db94258c55144aee9
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:18 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 217c43175b253fb436dfe2c17c258440efbf1b4d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:39 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 35347991b10472019e814b4346f9f55f33fa6850
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:58 2005 +0000

    Another pass at .cvsignores for apps.

commit ec23a703b3dd3ca07bcb67599d2aa20186b812db
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:50 2005 +0000

    Add/improve .cvsignore files for apps.

commit 4b974526a94abe02297f7ecf427cb78681c9bfb3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:52 2005 +0000

    Update package version number for RC1 release.

commit b0d618388ae24bb2bbcfbb43b313306b3b8d342f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:32:54 2005 +0000

    Change default install dir for app-default files from
        $(sysconfdir)/X11/app-defaults to $(libdir)/X11/app-defaults to match
        the monolith & allow localization

commit 933a86b8c6d64e974b314c5e3617fa2cbb213cce
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:21 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 203bc6e49653660050a874508da2c57e089c3c54
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:43 2005 +0000

    Use sed to fill in variables in man page

commit e70773cb5c4269627e0d8750f7852ed865fd8eaf
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Oct 13 20:11:00 2005 +0000

    Fix app-default files to install under the same names as in the monolith
        instead of their short names used only for 14-character filename length
        limited ancient filesystems

commit 9648bcddee6779eed395d60f17a13bcf13fa9042
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:29 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit cdd93a4e3c1dac5f23ad21c5fac4fbc054e0a42d
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:31 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit 2347df01911fc8061071cb80018963b79514e4b4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Jul 26 15:44:01 2005 +0000

    Replace more GNU make-ism's with more portable macros

commit b7161f370dbabeb536e9dc078f05e1ffd67847fb
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:51 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit 526ab098fe73f9dde13b651ae8c70fbec56594c2
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Jul 17 20:11:02 2005 +0000

    fix rules to work with non-GNU make and outside of $srcdir

commit 392f5dd1907a5110c89b308ef51122b39b23dde5
Author: Søren Sandmann Pedersen  <sandmann@daimi.au.dk>
Date:   Wed Jun 29 23:12:07 2005 +0000

    Build system for Xcalc

commit a72c79567a4f550dfafb532b03be79339c5a4a30
Author: Alexander Gottwald <alexander.gottwald@s1999.tu-chemnitz.de>
Date:   Tue Jul 6 09:24:58 2004 +0000

    Bugzilla #665: bugs in xcalc -rpn mode decimal_point is a const char* not
        char. the patch uses strcmp instead of plain char == char operator and
        allows decimal_point to be of any length. localeconv() is only called
        if X_LOCALE is _not_ defined

commit bbcc481006d4b5f4e8d1276db2220cf96a355985
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun May 23 20:03:49 2004 +0000

    xc/programs/xcalc/math.c
    xcalc -rpn mode errors (Geoffery Coram)

commit ed6ab3f1b45a5101a4cddfca754291b4523520a1
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:38 2004 +0000

    Merging XORG-CURRENT into trunk

commit bb536859850357b05511068fab838dd3a1436ef6
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:00 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit fecd81156f60db136eaf9cf79a34b7d076bbae06
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:55 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 3acc8a33b8eec4fe9164e12507cafb3c161d3cbe
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:16 2004 +0000

    readding XFree86's cvs IDs

commit 70f4b224345cc7c43d1960858c27a11541ea55c4
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:58 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit c61023614eb9182293f5c26c22a3babf65f1dee1
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:03 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit c538606166a71ab7b711de7394cc61add265a209
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    XFree86 4.3.0.1

commit 411b0e9e319550a394b0a5945543f39a5affc6a6
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    Initial revision
